Qt 5.7 | Qt 3D | C++ Classes | QFrustumCulling

Qt 5.7.1 Reference Documentation

# QFrustumCulling Class

(Qt3DRender::QFrustumCulling)

If present, only tries to draw entities that are in the view of the camera. The camera is selected by a QCameraSelector frame graph node in the current hierarchy. More...

Header: | #include <QFrustumCulling>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | FrustumCulling
Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Public Functions

| QFrustumCulling(Qt3DCore::QNode *parent = nullptr)

- 1 public function inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

If present, only tries to draw entities that are in the view of the camera. The camera is selected by a QCameraSelector frame graph node in the current hierarchy.

See also QCameraSelector.

## Member Function Documentation

### QFrustumCulling::QFrustumCulling(Qt3DCore::QNode *parent = nullptr)

The constructor creates an instance with the specified parent.